For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete payment method

Delete a payment method from your account. Use this endpoint to remove unused payment methods from user accounts.

Delete payment method

delete

Delete a payment method from your account.

Use this endpoint to remove unused payment methods from user accounts.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
paymentMethodIdintegerRequired

Payment method ID

Example: 9693613
Responses
200

Success empty response

application/json
messagestringOptionalExample: Request accepted
delete/api/billing/v1/payment-methods/{paymentMethodId}
DELETE /api/billing/v1/payment-methods/{paymentMethodId} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "message": "Request accepted"
}

Last updated

Was this helpful?